Page MenuHomePhabricator

[ARM][Thumb2] support .w assembler qualifier for dmb/dsb/isb
ClosedPublic

Authored by falstaff84 on Feb 25 2020, 2:50 PM.

Details

Summary

Support the explicit wide assembler qualifier for the dmb/dsb/isb synchronization barrier instructions.

Diff Detail

Event Timeline

falstaff84 created this revision.Feb 25 2020, 2:50 PM
falstaff84 retitled this revision from [ARM][Thumb2] support .w assembler qualifier for to [ARM][Thumb2] support .w assembler qualifier for dmb/dsb/isb.Feb 25 2020, 2:50 PM
ostannard requested changes to this revision.Feb 26 2020, 2:12 AM
ostannard added a subscriber: ostannard.

These are just the aliases with the "option" operand omitted, we should also accept instructions like dmb.w sy.

This revision now requires changes to proceed.Feb 26 2020, 2:12 AM
  • add .w alias for dmb/dsb/isb with argument
ostannard accepted this revision.Feb 28 2020, 2:52 AM

LGTM, thanks.

This revision is now accepted and ready to land.Feb 28 2020, 2:52 AM
This revision was automatically updated to reflect the committed changes.